%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           xplc
Version:        0.3.13
Release:        %mkrel 20
License:        LGPLv2+
Group:          System/Libraries
Summary:        Component system
URL:            http://xplc.sourceforge.net
Source:         https://downloads.sourceforge.net/xplc/%{name}-%{version}.tar.bz2
# Install devel libraries to /usr/lib and not /usr/lib/%%name-%%version
Patch0:         xplc-0.3.13-devel-location.patch
# rename uuidgen to xplc-uuidgen
Patch1:         xplc-0.3.13-uuidgen.patch
Patch2:         xplc-0.3.13-as-needed.patch
Patch3:         xplc-0.3.13-mga-narrowing-conversion.patch
Patch4:         xplc-0.3.13-mga-libdl-link.patch
BuildRequires:  pkgconfig(ext2fs)

%description
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort).

%package uuidgen
Group:          System/Libraries
Summary:        Component system

%description uuidgen
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort). This
packages contains the UUID generation tools that are provided with XPLC. The
'uuidgen' tool is renamed 'xplc-uuidgen' to avoid conflict with the 'uuidgen'
tool in the e2fs-progs package.

%package -n %{libname}
Group:          System/Libraries
Summary:        Component system

%description -n %{libname}
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort).

%package -n %{develname}
Summary:        Development files for XPLC
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort). This 
package contains the files needed for developing applications which use 
XPLC.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%check
%make_build tests

%files uuidgen
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc NEWS README TODO
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}-%{version}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 0.3.13-20.mga9
+ Revision: 1824252
- Mageia 9 Mass Rebuild

* Wed Jun 10 2020 daviddavid <daviddavid> 0.3.13-19.mga8
+ Revision: 1591995
- rebuild with new rpm-mageia-setup handling config.{guess,sub} update

* Fri May 15 2020 danf <danf> 0.3.13-18.mga8
+ Revision: 1584181
- Enable regression tests during packaging

* Fri May 15 2020 danf <danf> 0.3.13-17.mga8
+ Revision: 1584036
- Fix "narrowing conversion" compile error on gcc 10.1

* Fri Feb 14 2020 umeabot <umeabot> 0.3.13-16.mga8
+ Revision: 1518901
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.3.13-15.mga7
+ Revision: 1301964
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 wally <wally> 0.3.13-14.mga7
+ Revision: 1243274
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 0.3.13-13.mga6
+ Revision: 943930
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.13-12.mga5
+ Revision: 745191
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.13-11.mga5
+ Revision: 690751
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.13-10.mga4
+ Revision: 520705
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.3.13-9.mga3
+ Revision: 387322
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 0.3.13-8.mga3
+ Revision: 304971
- update file list
- update file list
- drop .la files

* Mon Apr 25 2011 shikamaru <shikamaru> 0.3.13-8.mga1
+ Revision: 90215
- clean spec (buildroot, retab, mdkversion, macros)
- imported package xplc


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.13-7mdv2011.0
+ Revision: 608229
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.13-6mdv2010.1
+ Revision: 524460
- rebuilt for 2010.1

* Tue Aug 26 2008 Funda Wang <fwang@mandriva.org> 0.3.13-5mdv2009.0
+ Revision: 276310
- add patch fix building with newer ldflags
- new devel package policy

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.3.13-3mdv2008.1
+ Revision: 171190
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Apr 27 2007 Adam Williamson <awilliamson@mandriva.org> 0.3.13-2mdv2008.0
+ Revision: 18534
- fix lib naming (blino)

* Thu Apr 26 2007 Adam Williamson <awilliamson@mandriva.org> 0.3.13-1mdv2008.0
+ Revision: 18432
- Import xplc

